Returns all users in roles of the workspace.

GEThttps://api.awork.com/api/v1/roles/users
GET https://api.awork.com/api/v1/roles/users

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Query parameters

pageintegerOptional
Default: 1

Page number for pagination

pageSizeintegerOptional
Default: 10

Number of items per page

orderbystringOptional

The properties to order by

filterbystringOptional

The filter expression to filter by

Header parameters

aw-internal-requeststringRequired
Default: "true"

Marks this request as an internal request. Only allowed by the awork app or internally.

Responses

200 OK

application/json

userIdstringRequired
format: uuid

The id of the user to add to the role.

isDeactivatedbooleanOptional

Whether the user is deactivated in this role.

roleIdstringOptional
format: uuid

The id of the role the user is assigned to.

Search documentation